Bug 129583 - device labels do not work with LVM
device labels do not work with LVM
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-08-10 12:47 EDT by Thomas Uebermeier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 12:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mount-by-label device-mapper support (1.52 KB, patch)
2004-08-11 18:07 EDT, Alasdair Kergon
no flags Details | Diff
avoid mount-by-label segfaults if there exist devices without labels (644 bytes, patch)
2004-08-11 18:08 EDT, Alasdair Kergon
no flags Details | Diff

  None (edit)
Description Thomas Uebermeier 2004-08-10 12:47:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux 2.6.6-1.435.2.3smp) (KHTML, like Gecko)

Description of problem:
When using device labels on filesystem, that are on a LVM volume, mount does not find the correct devices.
This has been tested/verified on Fedora Core 2, but should also exist on RHEL3 and Fedora Core 1

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a LVM volume
2. mkfs.ext3 -L<LABEL> /dev/mapper/<LV>
3. create an entry in /etc/fstab with a label instead a device
4. try to mount it


Actual Results:  mount: no such partition found

Expected Results:  mount should have mounted the volume

Additional info:

I know #123295 , but:
- shouldn't be the behavior in /etc/fstab be consistant ?
- why does mount look for LVM1/LVM2/evms volumes, but at the wrong places (/dev/dm-0 by going through /proc/partitions) ?

Fixing the behavior of mount (readdir /dev/mapper) seems to be a easier way, than having confusion about on which devices device labels are possible and on which not.
Comment 1 Alasdair Kergon 2004-08-11 18:07:55 EDT
Created attachment 102636 [details]
mount-by-label device-mapper support
Comment 2 Alasdair Kergon 2004-08-11 18:08:53 EDT
Created attachment 102637 [details]
avoid mount-by-label segfaults if there exist devices without labels
Comment 3 Alasdair Kergon 2004-08-11 18:11:38 EDT
Patches added to cvs for inclusion in next RPM.
Comment 4 Thomas Uebermeier 2004-08-12 04:04:16 EDT
Thanks, that fixes the problem. 
Compiled and tested under Fedora Core 2 against util-linux-2.12. 

Note You need to log in before you can comment on or make changes to this bug.